@import 'variables';
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap');

body {
  font-family: 'Roboto', sans-serif;
  line-height: 1.6;
  color: #fff;
  min-width: 320px;
  position: relative;
}

.none {
  display: none;
}

.container {
  max-width: 1100px;
  margin: auto;
}

#btn-contact {
  padding: 0.3rem 1rem;
  border: 1px solid $text-light;
  background: none;
  color: $text-light;
  border-radius: 30px;
  cursor: pointer;
  outline: none;

  &:hover {
    border: 1px solid $pink;
    color: $pink;
  }
}

.navigation-full {
  background: $primary-dark;
  height: 15rem;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;

  //   opacity: 0.9;
  .container-nav {
    position: relative;
  }

  button {
    position: absolute;
    top: 0;
    right: 0;
    padding: 2rem;
    border: none;
    outline: none;
    background: none;
    font-size: 1.5rem;
    color: $text-light;
    font-weight: 700;
    cursor: pointer;

    &:hover {
      color: $pink;
    }
  }

  ul {
    padding: 2rem 0;
    padding-top: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  ul li a {
    display: inline-block;
    color: $text-light;
    padding: 1rem;
    font-size: 1.5rem;
  }
}

#landing-page {
  background: $primary;

  .lef-side-img {
    display: none;
  }

  .container {
    min-height: 94vh;
    display: flex;
    flex-flow: column wrap;
    justify-content: space-between;
  }

  .navigation-bar nav {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: space-between;
    color: #fff;
    padding: 2rem;

    .logo-my-team  a {
      padding: 0;
      font-size: 1.5rem;
      font-weight: bold;
      color:$text-light
    }

    h1,
    i {
      cursor: pointer;
    }

    .nav-list {
      display: none;
    }

    .bars {
      display: block;
    }
  }

  .row-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 74vh;

    @media (max-width: 320px) and (max-height: 568px) {
      height: 83vh;
    }
  }

  .description {
    text-align: center;
    padding: 2rem;

    h1 {
      padding: 0 1rem;
      padding-bottom: 2rem;
      font-size: 2.5rem;
      font-weight: 900;
      line-height: 1.1;

      span {
        color: $pink;
      }
    }

    p {
      color: $text-light;
      line-height: 1.9;
      font-weight: 500;
      font-size: 1.2rem;
    }
  }

  .img-container {
    display: flex;
    justify-content: center;

    .circle-img {
      height: 6rem;
      width: 100%;
      background: url(../img/circle-1.PNG) no-repeat center center/contain;
    }
  }
}

#team-desc {
  background: $primary-dark;
  position: relative;

  .circle-2 {
    position: absolute;
    top: 0;
    right: 0;
    width: 8rem;
  }

  .headline {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;

    .desc {
      width: 65%;
      font-weight: 900;
      margin-top: 1.5rem;
      padding: 1rem;

      .btop-30 {
        border-top: 4px solid $pink;
        width: 20%;
        margin: 1rem 0;
      }

      p {
        font-size: 2rem;
        line-height: 1.1;
        font-weight: 500;
      }
    }
  }

  .showcase {
    text-align: center;
    padding: 1rem 0;

    .card {
      padding: 1rem;

      div {
        padding-bottom: 1rem;
      }

      .icons {
        margin: auto;
        margin-bottom: 1rem;
        background: $primary;
        width: 60px;
        height: 60px;
        border-radius: 50%;
        position: relative;

        i {
          position: absolute;
          top: 0;
          left: 0;
          transform: translateX(-13px);
          opacity: 0.5;
        }
      }

      h4 {
        color: $pink;
      }

      p {
        color: $text-light;
      }
    }
  }
}

#quote {
  background: #004147;
  //   padding: 1.5rem 1rem;
  padding: 9rem 1rem;
  //   padding-bottom: 6rem;
  position: relative;

  .bg-stripes-box {
    position: absolute;
    top: 0;
    left: 0;
    width: 10rem;

    img {
      display: inherit;
    }
  }

  .bg-stripes-circle {
    position: absolute;
    bottom: 0;
    right: 0;
    width: 13rem;

    img {
      display: inherit;
    }
  }

  h1 {
    line-height: 1.1;
    // padding: 0 1.5rem;
    text-align: center;
    color: #fff;

    span {
      color: $text-primary;
    }
  }

  .card {
    margin: 2rem 0;
    padding-top: 1rem;
    text-align: center;

    & > p {
      font-style: italic;
    }

    .message {
      padding: 1rem 0;
      position: relative;
      display: flex;
      justify-content: center;

      i {
        position: absolute;
        transform: translateY(-28px);
        opacity: 0.1;
      }
    }

    h4 {
      color: $text-primary;
    }

    .profile-pic-container {
      margin-top: 1rem;
      display: inline-block;
      height: 65px;
      width: 65px;
      border-radius: 50%;
      border: 2px solid $text-primary;
    }

    &:nth-child(1) .profile-pic-container {
      background: url('../img/profile-1.jpg') no-repeat center center/cover;
    }

    &:nth-child(2) .profile-pic-container,
    &:nth-child(4) .profile-pic-container {
      background: url('../img/profile-2.jpg') no-repeat center center/cover;
    }

    &:nth-child(3) .profile-pic-container,
    &:nth-child(5) .profile-pic-container {
      background: url('../img/profile-3.jpg') no-repeat center center/cover;
    }
  }
}

#contact-us {
  background-color: #f67e7f;
  color: $text-dark;
  position: relative;

  .container {
    text-align: center;
    margin: 0;
    line-height: 1.1;
    height: 15rem;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    height: 15rem;
  }

  .img-container {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 50%;

    img {
      display: inherit;
      max-height: 100%;
      max-width: 100%;
    }
  }

  .contact {
    padding: 0 3rem;
  }

  .btn-contact-us {
    border: 2px solid $text-dark;
    outline: none;
    background: #f67e7f;
    padding: 0.4rem 1rem;
    border-radius: 30px;
    color: $text-dark;
    font-size: 1.3rem;
    font-weight: 500;
    cursor: pointer;

    &:hover,
    &:active,
    &:focus {
      border-color: $text-light;
      color: $text-light;
      // background: $text-light;
    }
  }
}

#footer {
  background: $primary-super-dark;
  color: $text-light;

  .container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 2rem;
  }

  .link {
    display: flex;
    align-items: center;
    padding-bottom: 1rem;

    a {
      display: inline-block;
      margin-right: 1rem;
      color: $text-light;
      cursor: pointer;

      &:hover {
        color: $pink;
      }
    }
  }

  .contact-info {
    padding-bottom: 1rem;
  }

  .logos {
    color: #fff;
    padding-bottom: 1rem;

    i {
      font-size: 1.5rem;
      margin-right: 1rem;
    }
  }
}

// ABOUT
#quote.about {
  .card-wrapper {
    display: flex;
    flex-flow: row wrap;
    padding-top: 2rem;
  }

  .card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background: $primary-dark;
    padding: 1rem;
    height: 15rem;
    width: 15rem;
    margin: auto;
    margin-bottom: 2rem;

    .add-icon {
      position: absolute;
      bottom: 0;
      transform: translateY(1rem);
      color: $text-dark;
      background: $pink;
      border-radius: 50%;

      i {
        padding: 0.7rem;
        font-size: 1.3rem;
      }
    }
  }

  .card:nth-child(6) {
    padding-top: 2rem;

    p {
      padding-top: 1rem;
    }

    .logos {
      padding: 1rem 0;

      .fab {
        padding: 0.5rem;
        font-size: 1rem;
      }
    }
  }
}

// CLIENTS
#team-desc.clients {
  .circle-2 {
    display: none;
  }

  .container {
    display: flex;
    flex-direction: column;

    & > div {
      width: 100%;
    }
  }

  .headline .desc {
    width: 100%;
    z-index: 2;
    text-align: center;

    P {
      font-size: 3rem;
      font-weight: 700;
    }

    p {
      font-size: 2rem;
    }
  }

  .showcase {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    padding: 3rem 1rem;

    > * {
      width: 6rem;
    }
  }

  .the-guardian {
    color: #fff;
  }
}

#contact-us-container {
  padding: 1rem 2rem;

  h1 {
    font-size: 2.3rem;
  }

  .lead {
    padding-bottom: 1rem;
    font-size: 1.3rem;
    color: $pink;
    font-weight: 700;
  }

  .card {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-start;
    padding: 0.8rem 0;

    .desc {
      width: 60%;
      margin-left: 1rem;
    }

    .icons {
      // width: 4rem;

      .round-border {
        height: 3rem;
        width: 3rem;
        background: #2d626c;
        border-radius: 50%;
        position: relative;

        i {
          position: absolute;
          opacity: 0.6;
          top: 0;
          left: 0;
          transform: translateX(-9px);
          font-size: 2.3rem;
        }
      }
    }
  }

  // FORM FEILDS
  .col-2 {
    padding: 2rem 0;

    .form-field {
      position: relative;
      padding-top: 22px;
      margin-bottom: 1rem;

      input {
        background: none;
        outline: none;
        border: none;
        border-bottom: 2px solid silver;
        color: #fff;
        width: 100%;
        transition: background-size 0.3s ease;
      }

      label {
        position: absolute;
        top: 50%;
        left: 0;
        pointer-events: none;
        transition: all 0.3s ease;
      }

      input:focus + label,
      input:valid + label {
        top: 0;
        font-size: 15px;
        color: $pink;
      }
    }

    button {
      border: 1px solid #fff;
      outline: none;
      padding: 0.5rem 2rem;
      margin: 1rem 0;
      border-radius: 20px;
      cursor: pointer;

      &:hover {
        background: $pink;
        border: 1px solid #fff;
        color: #fff;
      }
    }
  }
}
